GET /v1/activities

visma.com

Summary: Get all activities of an organization
Operation ID: Activities_GetActivities
Auth: unknown
Description

Start and end date times accept values of DateTimeOffset type, based on UTF-8 encoding.

Parameters (26)

activityCategories (array, query, optional)

Optional: activity category for the activities to be fetched. Should be one of Personal/Absences/CalendarEntry/SalesEvent/Task. Default all.

activityTypeGuids (array, query, optional)

Optional: ID of the project activity type. Default all.

changedSince (string, query, optional)

Optional: Get activities that have been added or changed after this date time (greater or equal).

closed (boolean, query, optional)

Optional: Which activities to fetch - open/closed, Default all.

contactGuids (array, query, optional)

Optional: ID of the contact for the activities to be fetched. If not provided, returns for all users. Default all.

customerGuids (array, query, optional)

Optional: ID of customer. Default all.

endDateTime (string, query, optional)

Optional: ending date and time to which to get the activities in user's timezone. Finds all activities that start before or on the date time. Format "2017-04-12T13%3A20%3A00%2b02%3A00". Default all. If activities for one day are fetched, give start date time with time as 00:00 with the offset of the timezone and end time as 23:59:59 with the offset.

hasDuration (boolean, query, optional)

Optional: has duration flag for the activity. Default all.

hasHours (boolean, query, optional)

Optional: has any work hour entries associated with the activity. Default all.

includeAsMember (boolean, query, optional, default: False)

Optional: Include the activities that the user is a member. Effective if userGuid is provided. Default is to not include.

includeSubPhases (boolean, query, optional, default: False)

Optional: If one phase guid is given include activities also from sub phases. If multiple phase guids are given, returns activities only for those regardless of this parameter. Default false.

includeTasksWithNoCustomer (boolean, query, optional, default: True)

Optional: Include the activities that don't have customer. Default is true.

includeTasksWithNoProject (boolean, query, optional, default: True)

Optional: Include the activities that don't have project. Default is true.

isUnassigned (boolean, query, optional)

Optional: is the activity unassigned. Default all.

pageToken (string, query, optional)

Optional: page token to fetch the next page.

phaseGuids (array, query, optional)

Optional: ID of the phase for the activities to be fetched. If not provided, returns for all phases. Default all.

projectBusinessUnitGuids (array, query, optional)

Optional: ID of the business unit of the project based on which activities should be filtered. If not provided, returns for all business units. Default all.

projectGuids (array, query, optional)

Optional: ID of the project for the activities to be fetched. If not provided, returns for all projects. Default all.

projectOwnerGuids (array, query, optional)

Optional: ID of the project manager. If not provided, returns for all project managers. Default all.

projectTaskStatusGuids (array, query, optional)

Optional: ID of the project task status. Default all.

recurrenceType (?, query, optional)

Optional: Type of the recurrence. Default returns all not recurring activities, instances and exceptions. (None = not recurring activity)

rowCount (integer, query, optional)

Optional: How many rows to fetch, Default 20, maximum 100.

startDateTime (string, query, optional)

Optional: starting date and time from which to get the activities in user's timezone. Finds all activities that end after the date time. Format "2017-04-12T13%3A20%3A00%2b02%3A00". Default all.

useStrictStartAndEndDateTime (boolean, query, optional, default: False)

Optional: If given as true returns activities that start after start time and end before end time. If given as false returns activities that start before end time and end after start time. Limit are included in both cases. Default false.

userGuids (array, query, optional)

Optional: ID of the user for the activities to be fetched. If not provided, returns for all users. Default all.

userKeywordGuids (array, query, optional)

Optional: User keyword Ids of activity owner to search for.

No probe data for this endpoint yet.